Page MenuHomePhabricator

End of September milestone: Migrate first production use case
Closed, ResolvedPublic

Description

  • Finish up null job testing from August milestone.
  • Double-process an actual production job. Candidates are under discussion at T175210.
  • [STRETCH]: Fully switch processing of the first production job once correct operation is verified.

Details

Related Gerrit Patches:
mediawiki/services/change-propagation/jobqueue-deploy : masterRevert "[Config] Annotate the job event with pipeline property."

Event Timeline

Mentioned in SAL (#wikimedia-operations) [2017-09-18T13:10:46Z] <hashar@tin> Synchronized php-1.30.0-wmf.18/extensions/BetaFeatures: Temporary log all the executions of the update job. - T175637 (duration: 00m 46s)

Mentioned in SAL (#wikimedia-operations) [2017-09-19T09:34:26Z] <mobrovac@tin> Synchronized wmf-config/InitialiseSettings.php: Enable the updateBetaFeaturesUserCounts logging channel - T175637 (duration: 00m 50s)

Mentioned in SAL (#wikimedia-operations) [2017-09-25T17:02:12Z] <mobrovac@tin> Synchronized wmf-config/InitialiseSettings.php: Disable the updateBetaFeaturesUserCounts logging channel - T175637 (duration: 00m 46s)

Change 380548 had a related patch set uploaded (by Mobrovac; owner: Mobrovac):
[mediawiki/services/change-propagation/jobqueue-deploy@master] Revert "[Config] Annotate the job event with pipeline property."

https://gerrit.wikimedia.org/r/380548

Change 380548 merged by Mobrovac:
[mediawiki/services/change-propagation/jobqueue-deploy@master] Revert "[Config] Annotate the job event with pipeline property."

https://gerrit.wikimedia.org/r/380548

mobrovac closed this task as Resolved.Oct 23 2017, 2:55 PM
mobrovac edited projects, added Services (done); removed Services (doing).
mobrovac added a subscriber: mobrovac.

The objective of this task has been fully achieved in September. Resolving.